2003-07-09 17:45  larsa

	* configure.ac:
	
	set version 2.1.0

2003-07-09 17:34  pederb

	* src/vrml97/Billboard.cpp:
	
	Fix bboxaction bug.

2003-07-09 17:32  pederb

	* src/vrml97/Shape.cpp:
	
	Code simplification.

2003-07-09 17:00  larsa

	* configure.ac:
	
	fix problem with adding -Werror flag on release tarballs

2003-07-09 16:32  larsa

	* build/README:
	
	plans for coin.spec.in

2003-07-09 16:24  larsa

	* INSTALL:
	
	document some new configure options

2003-07-09 15:53  larsa

	* NEWS, docs/announcement-2_1_0.txt:
	
	cosmetics

2003-07-09 15:47  larsa

	* Makefile.am, docs/ChangeLog.v2.1.0, docs/announcement-2_1_0.txt:
	
	add new documentation files

2003-07-09 15:17  pederb

	* src/glue/: bzip2.c, zlib.c:
	
	Check version of zlib and bzlib.

2003-07-09 15:15  larsa

	* src/collision/: SbTri3f.cpp, SbTri3f.h, SbTri3f.icc, SbTri3f.ih,
	SoIntersectionDetectionAction.cpp, all-cpp.cpp:
	
	SbTri3f build changes

2003-07-09 15:14  larsa

	* src/collision/Makefile.am:
	
	build SbTri3f in the normal way

2003-07-09 15:14  larsa

	* NEWS:
	
	cosmetics

2003-07-09 15:14  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	New function to parse versionstring.

2003-07-09 14:05  larsa

	* src/actions/SoAction.cpp:
	
	date function since 2.1

2003-07-09 13:27  pederb

	* src/glue/: flwfreetype.c, freetype.c:
	
	Runtime freetype fixes.

2003-07-09 13:01  pederb

	* src/glue/: GLUWrapper.c, bzip2.c, freetype.c, openal_wrapper.c,
	simage_wrapper.c, zlib.c:
	
	Support an environment variable for setting the name of runtime
	linking libraries.

2003-07-09 12:34  larsa

	* configure.ac:
	
	drop freetype-test when win32 api is available

2003-07-09 12:28  pederb

	* include/Inventor/C/glue/freetype.h:
	
	Compile fix.

2003-07-09 12:14  pederb

	* include/Inventor/C/glue/freetype.h, src/glue/Makefile.am,
	src/glue/flwfreetype.c, src/glue/freetype.c:
	
	Freetype runtime linking.

2003-07-09 11:41  larsa

	* packaging/debian/: libcoin40-dev.README.Debian.in,
	libcoin40-doc.README.Debian.in, libcoin40-runtime.README.Debian.in,
	libcoin40.README.Debian.in:
	
	emphasize optionality of data-files package

2003-07-09 11:41  larsa

	* packaging/debian/control.in:
	
	suggest more libraries which will be utilized at runtime when
	present

2003-07-08 16:22  larsa

	* configure.ac:
	
	option for controlling run-time vs. link-time linkage with freetype

2003-07-08 16:04  larsa

	* configure.ac:
	
	some reorderings

2003-07-08 15:25  pederb

	* src/misc/gzmemio.c:
	
	Compile fix.

2003-07-08 14:50  pederb

	* src/misc/: SoInput.cpp, gzmemio.c:
	
	Fix compiler warnings.

2003-07-08 14:32  larsa

	* NEWS:
	
	update

2003-07-08 14:30  pederb

	* src/fields/SoSFImage.cpp:
	
	Support for CopyPolicy in setValue().

2003-07-08 14:02  pederb

	* include/Inventor/C/glue/bzip2.h, include/Inventor/C/glue/zlib.h,
	src/glue/Makefile.am, src/glue/bzip2.c, src/glue/zlib.c,
	src/misc/SoInput.cpp, src/misc/SoInput_FileInfo.cpp,
	src/misc/SoInput_FileInfo.h, src/misc/SoInput_Reader.cpp,
	src/misc/SoInput_Reader.h, src/misc/SoOutput.cpp,
	src/misc/SoOutput_Writer.cpp, src/misc/SoOutput_Writer.h,
	src/misc/gzmemio.c, src/misc/gzmemio.h:
	
	zlib and libbz2 runtime linking.

2003-07-07 15:34  larsa

	* INSTALL.GNU:
	
	new version

2003-07-07 14:46  larsa

	* src/: events/SoKeyboardEvent.cpp, misc/SoBase.cpp, misc/SoDB.cpp,
	misc/SoSceneManager.cpp, misc/SoType.cpp, nodes/SoNode.cpp,
	vrml97/Extrusion.cpp:
	
	variable typing fixes

2003-07-07 14:37  larsa

	* NEWS:
	
	updates

2003-07-07 14:36  larsa

	* src/misc/: SoInput.cpp, SoOutput.cpp:
	
	doxygen doc tweaks

2003-07-07 14:32  larsa

	* src/base/heap.c:
	
	improved variable typing

2003-07-07 14:16  larsa

	* include/Inventor/system/inttypes.h.in:
	
	set up intptr_t type for use with Coin

2003-07-07 12:11  larsa

	* src/misc/SoInput.cpp:
	
	doc update and cosmetics

2003-07-07 11:48  larsa

	* src/base/rbptree.c:
	
	int/ptr fix

2003-07-07 11:15  larsa

	* FAQ:
	
	status update

2003-07-04 18:57  larsa

	* configure.ac:
	
	control of runtime linkage for compression libraries

2003-07-04 18:28  larsa

	* patches/soinput-stringarray.diff:
	
	implemented

2003-07-04 18:26  larsa

	* include/Inventor/SoInput.h, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.cpp, src/misc/SoInput_FileInfo.h,
	src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:
	
	new method SoInput::setStringArray()

2003-07-04 17:04  larsa

	* RELNOTES:
	
	verbose news

2003-07-04 17:02  larsa

	* include/Inventor/actions/SoAction.h, patches/soaction-apply.diff,
	src/actions/SoAction.cpp:
	
	new SoAction::apply convenience method

2003-07-04 16:58  larsa

	* README.MKS:
	
	additional note

2003-07-04 16:57  larsa

	* README:
	
	update for new release

2003-07-04 16:19  larsa

	* README.WIN32:
	
	minor update

2003-07-04 15:14  mortene

	* patches/shape-bbox-caching.diff:
	
	Note about ABI uncertainty.

2003-07-04 14:47  pederb

	* README.SUN:
	
	SUN update.

2003-07-04 14:03  mortene

	* src/hardcopy/VectorizePSAction.cpp:
	
	Compile fix: kill MSVC warning.

2003-07-04 13:36  larsa

	* include/Inventor/: Makefile.am, C/Makefile.am,
	system/Makefile.am:
	
	remove stamp files

2003-07-04 12:40  larsa

	* Makefile.am:
	
	needed in the dist

2003-07-04 12:30  pederb

	* src/hardcopy/: PSVectorOutput.cpp, VectorOutput.cpp:
	
	Bugfixes.

2003-07-04 12:08  larsa

	* src/collision/Makefile.am:
	
	how make dist stuff was intended to be fixed

2003-07-04 12:02  larsa

	* src/: Makefile.am, collision/Makefile.am:
	
	enable collision directory

2003-07-04 11:34  pederb

	* src/engines/SoCalculator.cpp:
	
	Doc fixes.

2003-07-04 11:33  pederb

	* src/hardcopy/: HardCopy.cpp, PSVectorOutput.cpp,
	VectorOutput.cpp, VectorizeAction.cpp, VectorizePSAction.cpp:
	
	HardCopy doc.

2003-07-04 11:03  pederb

	* src/hardcopy/all.cpp:
	
	Compact build fix.

2003-07-04 11:01  pederb

	* cfg/coin.m4, cfg/wrapmsvc.exe, src/glue/Makefile.am,
	src/glue/glue-dummy.cpp, src/threads/Makefile.am,
	src/threads/threads-dummy.cpp:
	
	SUN Forte fixes. Bootstrap.

2003-07-04 10:36  mortene

	* docs/coin.doxygen.in,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/Makefile.am, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.h, src/hardcopy/VectorizeItems.h,
	src/hardcopy/VectorizePSAction.cpp:
	
	Remove SoVectorizeItems class and subclasses from public API.

2003-07-04 10:07  mortene

	* docs/coin.doxygen.in, src/hardcopy/HardCopy.cpp,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/misc/SoDB.cpp:
	
	Doxygen API doc.

2003-07-03 14:46  mortene

	* src/glue/gl.c:
	
	Warn when full OpenGL 1.0 not used.

2003-07-03 12:10  mortene

	* configure.ac:
	
	Inform when no explicit linkage is necessary.

2003-07-03 11:42  mortene

	* configure.ac:
	
	Explicitly add gdi32.lib if we are on a Win32 capable system.

2003-07-03 10:28  mortene

	* THANKS:
	
	Adds Duncan Soutar, for SoWin bug reports.

2003-07-02 09:38  mortene

	* src/nodes/SoTexture2.cpp:
	
	Codestyle fixes.

2003-07-01 16:33  pederb

	* include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizeActionP.cpp,
	src/hardcopy/VectorizePSAction.cpp:
	
	Support for pointstyle.

2003-07-01 16:02  pederb

	* include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizeActionP.h:
	
	Added functions for setting point style. Moved getPageSize() and
	getPageStartpos() to public.

2003-07-01 13:43  pederb

	* src/: caches/SoNormalCache.cpp, misc/SoNormalGenerator.cpp:
	
	Clamp crease angle so that angles > 180 degrees are treated as 180
	degrees.

2003-07-01 13:41  pederb

	* src/vrml97/Extrusion.cpp:
	
	Avoid warnings.

2003-07-01 12:32  pederb

	* src/: fields/SoFieldContainer.cpp, nodes/SoNode.cpp:
	
	Fix nodekit copy memory leak.

2003-06-30 19:17  pederb

	* src/draggers/SoTransformerDragger.cpp:
	
	Fix silly SoTransformerDragger bug. Basically only one instance of
	the dragger would work...

2003-06-30 16:51  pederb

	* src/fields/SoFieldContainer.cpp:
	
	Nodekit/dragger copy fix.

2003-06-30 16:50  pederb

	* src/fields/: MFNodeEnginePath.tpl, SFNodeEnginePath.tpl,
	SoField.cpp, SoMFEngine.cpp, SoMFNode.cpp, SoMFPath.cpp,
	SoSFEngine.cpp, SoSFNode.cpp, SoSFPath.cpp:
	
	For debugging only. More assertAlive() tests.

2003-06-30 15:08  pederb

	* src/hardcopy/: VectorizeAction.cpp, VectorizeActionP.cpp,
	VectorizePSAction.cpp:
	
	Code cleanup.

2003-06-30 15:07  pederb

	* src/hardcopy/VectorizePSAction.cpp:
	
	Gouraud shading bug workaround.

2003-06-30 12:57  pederb

	* src/: fields/SoMFNode.cpp, vrml97/Parent.cpp:
	
	Allow NULL in MFNode again. Update VRMLParent to handle this.

2003-06-30 11:57  mortene

	* configure.ac:
	
	Include directory for HardCopy headers added for .dsp-build.

2003-06-27 12:14  pederb

	* src/engines/SoCalculator.cpp:
	
	Fix typo.

2003-06-27 12:12  pederb

	* src/engines/SoCalculator.cpp:
	
	SoCalculator doc.

2003-06-27 10:39  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Doxygen API doc updates.

2003-06-27 10:23  pederb

	* include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp:
	
	Codestyle fixes.

2003-06-26 18:29  pederb

	* configure.ac, include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/Makefile.am, src/hardcopy/HardCopy.cpp,
	src/hardcopy/Makefile.am, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizeActionP.h,
	src/hardcopy/VectorizePSAction.cpp, src/hardcopy/all.cpp:
	
	HardCopy support.

2003-06-26 16:35  larsa

	* src/misc/SoInput.cpp:
	
	obsolete comments

2003-06-26 16:34  larsa

	* src/misc/SoInput.cpp:
	
	_splitpath() fix

2003-06-26 14:20  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Fix for nodekit copy.

2003-06-26 11:15  larsa

	* src/vrml97/Extrusion.cpp:
	
	type size fix

2003-06-25 19:52  larsa

	* configure.ac:
	
	MKS fix for cross_compiling test

2003-06-25 15:28  larsa

	* configure.ac:
	
	oops

2003-06-25 15:14  larsa

	* configure.ac:
	
	MKS fix

2003-06-25 14:59  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl_glx.c:
	
	Resolve a conflict between X11 and Win32 API header files, and
	clean up GL/glx.h inclusion in the process.

2003-06-25 14:58  mortene

	* src/shapenodes/SoText2.cpp:
	
	Header file inclusion cleanup, FIXME note about a hack that now
	seems obsolete.

2003-06-25 14:55  mortene

	* src/base/time.c:
	
	Convert CRLF line endings.

2003-06-25 13:39  pederb

	* src/elements/GL/SoGLTextureImageElement.cpp:
	
	Some new environment variables to control the maximum texture size.

2003-06-25 10:36  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Use ascii85 functions from tidbits.

2003-06-25 10:35  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Added ascii85 functions.

2003-06-24 16:36  mortene

	* configure.ac:
	
	Improve gettimeofday() check.

2003-06-24 16:35  mortene

	* include/Inventor/SbTime.h:
	
	Doesn't really need to include time.h from SbTime.h.

2003-06-24 15:57  pederb

	* src/base/SbTime.cpp:
	
	Compile fix.

2003-06-24 14:22  pederb

	* src/vrml97/Extrusion.cpp:
	
	Texture coordinate bugfixes. Code simplification and code cleanup.

2003-06-24 11:10  pederb

	* src/misc/SoChildList.cpp:
	
	Use operator[] instead of a local array pointer to access children.
	This makes it possible to append children while traversing.

2003-06-23 15:41  pederb

	* src/glue/fontlib_wrapper.c:
	
	Avoid C++ comment.

2003-06-23 15:36  pederb

	* src/glue/fontlib_wrapper.c:
	
	Fix a hang-on-init bug when Coin is compiled with thread-safe
	traversal.

2003-06-23 10:13  mortene

	* src/: base/SbViewportRegion.cpp, nodekits/SoBaseKit.cpp,
	shapenodes/SoIndexedTriangleStripSet.cpp,
	shapenodes/SoTriangleStripSet.cpp:
	
	API doc additions.

2003-06-23 10:00  mortene

	* docs/coin.doxygen.in:
	
	Display internal doc trailing COININTERNAL tags.

2003-06-23 09:15  mortene

	* src/glue/fontlib_wrapper.c:
	
	Use mutex lock/unlock wrappers instead of accessing cc_mutex_*()
	directly, to make it work transparently for systems without
	thread-handling support.

2003-06-20 12:10  mortene

	* src/actions/SoGetBoundingBoxAction.cpp:
	
	More API class doc.

2003-06-20 11:47  mortene

	* include/Inventor/C/glue/fontlib_wrapper.h,
	src/glue/fontlib_wrapper.c:
	
	Implements implicit initialization of fontlib wrapper upon first
	entry.

2003-06-20 11:42  mortene

	* src/actions/SoGetBoundingBoxAction.cpp:
	
	Improve class usage API doc.

2003-06-20 10:56  thammer

	* src/misc/SoDB.cpp:
	
	Minor doc update

2003-06-20 09:36  mortene

	* configure.ac:
	
	FreeType detection and config.

2003-06-19 11:50  mortene

	* src/misc/SoSceneManager.cpp:
	
	Codestyle cleanups.

2003-06-19 11:46  mortene

	* src/misc/SoSceneManager.cpp:
	
	Further attempts to catch missing SoDB::init() early on.

2003-06-19 10:13  mortene

	* src/nodes/SoMaterialBinding.cpp:
	
	Improved class doc.

2003-06-19 09:03  mortene

	* src/vrml97/: FontStyle.cpp, Text.cpp:
	
	Doxygen API doc.

2003-06-18 11:13  mortene

	* src/glue/fontlib_wrapper.c:
	
	Compilation fix: kill gcc 3.2 warning.

2003-06-18 09:27  mortene

	* src/: vrml97/VertexShape.cpp, shapenodes/SoVertexShape.cpp:
	
	Doxygen API doc.

2003-06-17 17:31  larsa

	* include/Inventor/SbTime.h:
	
	sys/time.h does not seem to be needed at all

2003-06-17 17:26  mortene

	* include/Inventor/SbTime.h, src/base/SbTime.cpp:
	
	Clean up code testing on _WIN32.

2003-06-17 17:24  mortene

	* include/Inventor/events/SoKeyboardEvent.h:
	
	Replace non-working hack with hack more likely to work.

2003-06-17 16:30  larsa

	* src/tidbits.c:
	
	prefer ANSI C remove() to unlink()

2003-06-17 15:50  larsa

	* include/Inventor/SbTime.h,
	include/Inventor/C/glue/openal_wrapper.h,
	include/Inventor/C/glue/win32api.h, src/base/SbTime.cpp,
	src/glue/flwfreetype.c, src/glue/flwwin32.c, src/glue/win32api.c,
	src/misc/SoAudioDevice.cpp, src/misc/SoDB.cpp,
	src/misc/SoInput.cpp, src/threads/thread.c, src/vrml97/Sound.cpp:
	
	use HAVE_WIN32_API instead of _WIN32. some header inclusion
	ordering

2003-06-17 15:49  larsa

	* configure.ac:
	
	new HAVE_WIN32_API configure test (that doesn't do much yet)

2003-06-17 15:39  larsa

	* include/Inventor/C/glue/win32api.h:
	
	exact wording of this string is important

2003-06-17 12:29  larsa

	* include/Inventor/threads/SbCondVar.h:
	
	fix header dependency

2003-06-17 12:09  larsa

	* src/vrml97/Sound.cpp:
	
	encapsulate all threads code in HAVE_THREADS wrappers - by Mark D.
	Anderson

2003-06-17 11:22  mortene

	* src/vrml97/DragSensor.cpp:
	
	Minor fix for Doxygen doc.

2003-06-16 09:47  mortene

	* src/vrml97/: DragSensor.cpp, Interpolator.cpp:
	
	Doxygen API doc fixes.

2003-06-13 15:26  pederb

	* src/vrml97/: Box.cpp, Cone.cpp, Cylinder.cpp, Sphere.cpp:
	
	More environment mapping fixes.

2003-06-13 15:25  mortene

	* docs/coin.doxygen.in,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/engines/SoNodeEngine.cpp:
	
	Doxygen API doc fixes.

2003-06-13 15:23  larsa

	* NEWS:
	
	merge v2.0.3a section into 2.1.0a section

2003-06-13 15:12  pederb

	* NEWS:
	
	Added bugfix.

2003-06-13 15:03  pederb

	* THANKS:
	
	Added Tony Bernardin.

2003-06-13 15:02  pederb

	* src/: shapenodes/SoCone.cpp, shapenodes/SoCube.cpp,
	shapenodes/SoCylinder.cpp, shapenodes/SoFaceSet.cpp,
	shapenodes/SoIndexedFaceSet.cpp, shapenodes/SoIndexedLineSet.cpp,
	shapenodes/SoLineSet.cpp, shapenodes/SoPointSet.cpp,
	shapenodes/SoQuadMesh.cpp, shapenodes/SoSphere.cpp,
	shapenodes/SoTriangleStripSet.cpp, vrml97/IndexedFaceSet.cpp:
	
	Fixed bugs so that environment mapping works even when lighting is
	disabled. Bug reported by Tony Bernardin.

2003-06-13 14:26  mortene

	* include/Inventor/lists/SbIntList.h:
	
	Cast to avoid warnings on 64-bit platforms.

2003-06-13 13:24  larsa

	* src/misc/SoInput.cpp:
	
	use HAVE__SPLITPATH define

2003-06-13 13:24  larsa

	* configure.ac:
	
	modularization, bootstrap, test for _splitpath()

2003-06-13 13:12  pederb

	* src/: elements/GL/SoGLLazyElement.cpp,
	elements/GL/SoGLLightIdElement.cpp, fields/SoFieldData.cpp,
	fields/SoSFImage.cpp, fields/SoSFImage3.cpp, fields/SoSFInt32.cpp,
	fields/SoSFUInt32.cpp, misc/SoBase.cpp, misc/SoGL.cpp,
	misc/SoInput.cpp, nodes/SoNurbsProfile.cpp,
	shapenodes/SoIndexedFaceSet.cpp, shapenodes/SoIndexedLineSet.cpp,
	shapenodes/SoIndexedTriangleStripSet.cpp, shapenodes/SoText3.cpp,
	vrml97/Extrusion.cpp, vrml97/IndexedFaceSet.cpp:
	
	Fixes for MKS compiler warnings/errors. Reported by Mark D.
	Anderson.

2003-06-13 12:54  mortene

	* docs/coin.doxygen.in,
	src/collision/SoIntersectionDetectionAction.cpp:
	
	Doxygen API fixes.

2003-06-12 17:46  larsa

	* configure.ac:
	
	bootstrap

2003-06-12 15:49  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Fix for platforms where int != int32_t.

2003-06-12 15:44  pederb

	* src/actions/SoToVRMLAction.cpp:
	
	Fix for platforms where int != int32_t.

2003-06-12 14:55  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Compile fix.

2003-06-12 14:43  pederb

	* include/Inventor/elements/SoGLLazyElement.h,
	src/elements/GL/SoGLLazyElement.cpp:
	
	Fix cache dependency bug. Material changes outside the separator
	wasn't properly detected.

2003-06-12 14:38  larsa

	* Makefile.am, README.MKS:
	
	MKS information

2003-06-12 14:31  mortene

	* NEWS, src/misc/SoGlyph.cpp, src/shapenodes/SoText2.cpp:
	
	Support for importing fonts through the fontlib wrapper. Ported
	over from Coin development branch.

2003-06-12 14:31  larsa

	* src/: base/Makefile.am, glue/Makefile.am:
	
	makefiles are not tab-free zones...

2003-06-12 14:25  mortene

	* include/Inventor/C/base/dynarray.h,
	include/Inventor/C/base/namemap.h, src/base/Makefile.am,
	src/base/all-c.c, src/base/dynarray.cpp, src/base/namemap.c:
	
	Copied C ADTs cc_dynarray and cc_namemap from Coin development
	branch.

2003-06-12 14:23  mortene

	* include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/fontlib_wrapper.h, src/glue/Makefile.am,
	src/glue/all-c.c, src/glue/flwfreetype.c, src/glue/flwwin32.c,
	src/glue/fontlib_wrapper.c:
	
	Copied font import library wrapper from Coin development branch.

2003-06-12 14:18  mortene

	* src/misc/: Makefile.am, default2dfont.cpp, default3dfont.cpp,
	defaultfonts.h:
	
	Internal interface on the default font data.

2003-06-12 14:02  mortene

	* src/nodes/SoFont.cpp:
	
	Minor API doc fixes.

2003-06-12 12:39  larsa

	* configure.ac:
	
	another MKS/config.status issue

2003-06-12 11:08  mortene

	* src/base/hash.c:
	
	Improve API doc.

2003-06-12 09:48  mortene

	* src/vrml97/Sound.cpp:
	
	Tiny Doxygen fix.

2003-06-11 16:03  pederb

	* include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/system/gl.h.in,
	src/elements/GL/SoGLLazyElement.cpp:
	
	Added support for the GL_REPLACE texture function.

2003-06-11 15:56  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Fixes a potential blending cache bug.

2003-06-11 14:40  mortene

	* src/misc/SoOutput.cpp:
	
	Compilation fix: do not use default argument value in function
	signature.

2003-06-11 14:03  mortene

	* src/: shapenodes/SoAsciiText.cpp, shapenodes/SoText3.cpp,
	vrml97/Text.cpp:
	
	Bugfix: do not pass signed characters which expands to large
	negative integer values.

2003-06-11 10:44  pederb

	* include/Inventor/SoOutput.h, src/misc/SoOutput.cpp,
	src/misc/SoOutput_Writer.cpp, src/misc/SoOutput_Writer.h:
	
	API for enabling file compression when exporting.

2003-06-11 09:29  mortene

	* src/vrml97/Interpolator.cpp:
	
	Doxygen API doc.

2003-06-10 17:42  larsa

	* configure.ac, packaging/debian/changelog.in:
	
	avoid setting up ac_subst with comma-character in it to avoid MKS
	problem

2003-06-10 17:40  larsa

	* Makefile.am:
	
	minor tweak

2003-06-10 15:41  larsa

	* src/misc/Makefile.am:
	
	no such header here

2003-06-10 14:26  pederb

	* src/vrml97/Appearance.cpp:
	
	VRML97 material handling conformance fix.

2003-06-10 13:53  larsa

	* Makefile.am:
	
	ltconfig no longer used

2003-06-10 13:08  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Avoid texture loading problems when Coin is compiled without
	threadsafe traversals.

2003-06-10 12:14  pederb

	* src/fields/SoField.cpp:
	
	Nodekit export bugfix (bug nr. 071 in BUGS.txt). Bug reported by
	Tamer Fahmy.

2003-06-10 10:20  mortene

	* src/: lists/SoPickedPointList.cpp, sensors/SoPathSensor.cpp:
	
	Minor Doxygen fixes.

2003-06-06 17:12  mortene

	* src/base/SbName.cpp:
	
	More API doc.

2003-06-06 12:01  larsa

	* cfg/: errors.txt, gendsp.sh:
	
	bootstrap

2003-06-06 12:01  larsa

	* configure.ac, src/Makefile.am:
	
	build SoIntersectionDetectionAction into Coin

2003-06-06 11:15  mortene

	* src/base/SbName.cpp:
	
	Doxygen API doc: explain what the SbName class is really about.

2003-06-06 10:12  mortene

	* src/lists/: SbPList.cpp, SbStringList.cpp, SoBaseList.cpp,
	SoDetailList.cpp, SoEngineOutputList.cpp, SoPickedPointList.cpp:
	
	Doxygen doc fixes.

2003-06-05 14:20  mortene

	* src/: actions/SoCallbackAction.cpp, base/SbViewportRegion.cpp,
	elements/GL/SoGLLazyElement.cpp, engines/evaluator.y,
	engines/evaluator_tab.c, errors/SoDebugError.cpp,
	fields/SoFieldContainer.cpp, glue/simage_wrapper.c,
	misc/SoGlyph.cpp, misc/SoPath.cpp, nodes/SoWWWInline.cpp:
	
	Hide internal variables and functions from the global namespace.

2003-06-05 08:47  mortene

	* src/: nodes/SoCamera.cpp, threads/storage.c:
	
	Doxygen API doc.

2003-06-05 08:47  mortene

	* src/elements/SoCacheElement.cpp:
	
	Hide internal variable from global namespace.

2003-06-04 16:12  mortene

	* src/glue/win32api.c:
	
	Bugfix: corrects parameter to FormatMessage().

2003-06-04 14:44  mortene

	* src/threads/thread.c:
	
	Compilation fix.

2003-06-04 12:38  mortene

	* include/Inventor/C/glue/win32api.h, src/glue/win32api.c:
	
	Sync with dev branch.

2003-06-04 12:37  mortene

	* src/threads/: condvar_win32.ic, mutex.c, mutex_win32mutex.ic,
	thread_win32.ic:
	
	Better error information handling.

2003-06-04 12:36  mortene

	* src/glue/all-c.c:
	
	Fix for --enable-compact build.

2003-06-04 12:35  mortene

	* include/Inventor/C/glue/win32api.h, src/glue/Makefile.am,
	src/glue/win32api.c:
	
	Add internal wrappers around Win32 API calls. (Files copied from
	dev branch.)

2003-06-04 12:32  mortene

	* include/Inventor/C/base/basep.h, src/base/Makefile.am,
	src/base/all-c.c, src/base/base.c:
	
	Removes obsoleted files.

2003-06-04 12:26  mortene

	* include/Inventor/C/threads/threadsutilp.h:
	
	Make the empty versions of the macros safe to use.

2003-06-04 09:18  mortene

	* src/: misc/SoType.cpp, nodes/SoNode.cpp, threads/condvar.c,
	vrml97/DragSensor.cpp, vrml97/Sensor.cpp:
	
	Doxygen doc additions / fixes.

2003-06-03 14:36  pederb

	* configure.ac, src/misc/Makefile.am, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.cpp, src/misc/SoInput_FileInfo.h,
	src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h,
	src/misc/SoOutput.cpp, src/misc/SoOutput_Writer.cpp,
	src/misc/SoOutput_Writer.h, src/misc/all-c.c, src/misc/all-cpp.cpp,
	src/misc/gzmemio.c, src/misc/gzmemio.h:
	
	Support for reading and writing gzip and bzip2 compressed files.
	Bootstrap.

2003-06-03 13:17  pederb

	* src/details/SoPointDetail.cpp:
	
	Fix for material and normal index when binding is OVERALL.

2003-06-03 13:06  larsa

	* src/collision/Makefile.am:
	
	build files for including SoIntersectionDetectionAction in Coin

2003-06-03 12:50  larsa

	* src/collision/: SbTri3f.icc, SbTri3f.ih,
	SoIntersectionDetectionAction.cpp, all-cpp.cpp:
	
	the SoIntersectionDetectionAction sources

2003-06-03 12:44  larsa

	* cfg/errors.txt:
	
	update

2003-06-03 12:37  larsa

	* configure.ac:
	
	bugfix, prepare version-number for 2.1.0 release - no 2.0.3 will be
	released

2003-06-03 12:32  larsa

	* include/Inventor/collision/SoIntersectionDetectionAction.h:
	
	the SoIntersectionDetectionAction class

2003-06-03 10:58  larsa

	* configure.ac:
	
	disable a non-portable (MKS) part for now

2003-06-03 10:48  mortene

	* configure.ac:
	
	Fix for tlhelp.h dependency on windows.h.

2003-06-03 09:21  mortene

	* src/: threads/thread.c, vrml97/IndexedLine.cpp:
	
	Doxygen doc.

2003-06-02 13:18  larsa

	* packaging/windows/: heading.nsi.in, middle.nsi.in, post.nsi.in:
	
	fix for incorrect (changed) SectionIn syntax

2003-05-30 11:47  pederb

	* src/vrml97/Extrusion.cpp:
	
	Enable/disable auto caching for the Extrusion node.

2003-05-30 10:16  mortene

	* src/: nodes/SoExtSelection.cpp, threads/mutex.c:
	
	Minor doc fixes.

2003-05-29 13:12  pederb

	* src/vrml97/Extrusion.cpp:
	
	Implement SoVRMLExtrusion::getPrimitiveCount().

2003-05-29 12:55  pederb

	* src/misc/SoInput.cpp:
	
	Fix handling of special characters \ and "

2003-05-29 11:43  mortene

	* src/threads/: barrier.c, condvar.c, rwmutex.c, storage.c,
	thread.c:
	
	Doxygen doc fix.

2003-05-28 15:39  mortene

	* src/misc/SoGLImage.cpp:
	
	Revert buggy commit.

2003-05-28 12:14  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	FIXME.

2003-05-28 11:48  mortene

	* src/fields/SoField.cpp:
	
	Compile fix by pederb.

2003-05-28 11:22  mortene

	* src/fields/SoField.cpp:
	
	Adds more debugging output.

2003-05-28 10:14  mortene

	* docs/coin.doxygen.in, src/threads/fifo.c, src/threads/mutex.c:
	
	Doxygen doc.

2003-05-26 15:41  mortene

	* src/threads/: barrier.c, condvar.c, rwmutex.c:
	
	Doxygen fixes.

2003-05-26 12:42  thammer

	* build/build_coin_win32.sh:
	
	First version of win32 build script.

2003-05-23 16:16  mortene

	* src/misc/SoBase.cpp:
	
	Conditional declaration of a global function seems potentially
	dangerous with regard to ABI-compatibility issues.

2003-05-23 16:06  mortene

	* src/nodes/SoCamera.cpp:
	
	Miniscule API doc fix for Doxygen.

2003-05-23 16:05  mortene

	* src/misc/SoBase.cpp:
	
	Make debugging of write operations more convenient.

2003-05-23 15:59  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Misc minor fixes and documentation updates.

2003-05-22 16:06  mortene

	* src/sensors/SoDataSensor.cpp:
	
	Bugfix: erroneous use of SoSearchAction::isFound().

2003-05-22 15:10  mortene

	* configure.ac:
	
	Autotools upgrade forces us to be less clever with the
	--disable-build option. OpenGL dev env will from now on be needed
	on a machine where we generate documentation, as the configure
	script must be able to run as usual.

2003-05-22 14:51  mortene

	* docs/todo.txt:
	
	No need to duplicate this in stable branch.

2003-05-21 16:53  kyrah

	* configure.ac:
	
	Make libtool recognize that we are actually doing a two-level
	namespace build.

2003-05-21 16:53  larsa

	* src/actions/: SoBoxHighlightRenderAction.cpp,
	SoLineHighlightRenderAction.cpp:
	
	highlighted rendering for every SoSelection node

2003-05-21 16:37  larsa

	* NEWS:
	
	update

2003-05-21 11:14  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Codestyle fixes.

2003-05-21 11:07  mortene

	* NEWS:
	
	Make layout consistent with previous text.

2003-05-21 11:00  mortene

	* NEWS:
	
	Misc updates.

2003-05-20 16:21  larsa

	* cfg/: depcomp, ltmain.sh.diff, old-ltmain.sh.diff, texinfo.tex:
	
	upgraded bootstrap: autoconf 2.57, automake 1.7.5, libtool 1.5

2003-05-20 14:24  larsa

	* src/misc/Makefile.am:
	
	remove files not in Coin-2 yet

2003-05-19 12:05  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fxied tiny buglet: erroneous debug output.

2003-05-19 09:53  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoNurbsCurve.cpp, src/shapenodes/SoNurbsSurface.cpp:
	
	Get rid of hack that uses SoOffscreenRenderer to get a valid OpenGL
	context.

2003-05-19 09:03  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Removes hack to get a valid context when checking max tile size for
	the GL driver.

2003-05-19 08:51  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Removes some dead code and a bunch of fixed FIXME notes.

2003-05-17 21:14  mortene

	* src/misc/all-cpp.cpp:
	
	Build fix: --enable-compact bugfix.

2003-05-16 16:53  kintel

	* src/base/SbRotation.cpp:
	
	doc fix

2003-05-16 16:10  mortene

	* cfg/ltmain.sh.diff:
	
	Darwin patch.

2003-05-16 16:04  mortene

	* src/misc/: Makefile.am, SoOffscreenAGLData.cpp,
	SoOffscreenAGLData.h, SoOffscreenGLXData.cpp, SoOffscreenGLXData.h,
	SoOffscreenInternalData.h, SoOffscreenRenderer.cpp,
	SoOffscreenWGLData.cpp, SoOffscreenWGLData.h:
	
	Major rewrite of SoOffscreenRenderer. Improves internal design and
	code layout. Kills a handful of previously unknown bugs.

2003-05-16 12:19  larsa

	* configure.ac:
	
	superglu inclusion fixes

2003-05-16 12:19  larsa

	* src/glue/GLUWrapper.c:
	
	system/gl.h doesn't include superglu, so we need to do it manually

2003-05-16 11:17  mortene

	* include/Inventor/C/basic.h.in:
	
	Catch faulty settings of both COIN_DLL and COIN_NOT_DLL being
	defined at the same time. Better double-precision to
	single-precision macro wrappers.

2003-05-14 15:14  larsa

	* THANKS:
	
	thanks for some simage help

2003-05-14 11:52  kintel

	* models/vrml1.0/: groups/lod.wrl, groups/switch.wrl,
	misc/directionallight.wrl, misc/includefile.wrl,
	misc/pointlight.wrl, misc/spotlight.wrl, misc/wwwinline.wrl,
	properties/coordinate3.wrl, properties/fontstyle.wrl,
	properties/info.wrl, properties/material.wrl,
	properties/matrixtransform.wrl, properties/rotation.wrl,
	properties/scale.wrl, properties/shapehints.wrl,
	properties/texture2.wrl, properties/texture2transform.wrl,
	properties/transform.wrl, properties/translation.wrl,
	shapes/asciitext.wrl, shapes/cone.wrl, shapes/cube.wrl,
	shapes/cylinder.wrl, shapes/indexedfaceset.wrl,
	shapes/indexedlineset.wrl, shapes/pointset.wrl, shapes/sphere.wrl:
	
	VRML V1.0 test cases

2003-05-14 11:28  mortene

	* src/misc/SoGLImage.cpp:
	
	FIXME note about workaround for Purify UMR.

2003-05-14 10:58  mortene

	* src/misc/SoGLImage.cpp:
	
	Minor janitorial fixes: corrects silly casting and confused
	handling of pointers to img buffers.

2003-05-14 10:10  mortene

	* src/caches/SoGLCacheList.cpp:
	
	Compile fix: typos. Reported and fixed by Lars Ivar Igesund.

2003-05-14 09:36  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Bugfix: was using a destructed SoInput instance. Problem reported
	by Tamer Fahmy.

2003-05-13 10:35  mortene

	* src/caches/SoGLCacheList.cpp:
	
	Improved GL error debugging doc.

2003-05-13 10:27  mortene

	* src/caches/SoGLCacheList.cpp:
	
	Catch GL errors from displaylists.

2003-05-13 09:34  mortene

	* configure.ac:
	
	Adds user32.lib to link to import MessageBox().

2003-05-12 16:10  larsa

	* src/misc/SoOffscreenRenderer.cpp:
	
	--enable-compact fix

2003-05-09 17:23  larsa

	* COPYING:
	
	address update

2003-05-09 13:44  pederb

	* src/shapenodes/SoCube.cpp:
	
	PER_FACE material binding bugfix. Bug reported by kintel.

2003-05-09 10:07  mortene

	* src/: actions/SoWriteAction.cpp, misc/SoOutput.cpp:
	
	Doxygen API doc additions.

2003-05-09 10:05  mortene

	* include/Inventor/collision/SoIntersectionDetectionAction.h,
	src/actions/Makefile.am, src/actions/SbTri3f.icc,
	src/actions/SbTri3f.ih,
	src/actions/SoIntersectionDetectionAction.cpp:
	
	Keep SoIntersectionDetectionAction development solely in the
	dev-branch.

2003-05-09 09:56  mortene

	* src/misc/SoDB.cpp:
	
	Catch multiple instances of the Coin library in the same process
	image.

2003-05-08 18:01  mortene

	* src/misc/SoInput.cpp:
	
	Fix quoting bug, reported by kintel.

2003-05-08 14:03  mortene

	* src/: misc/SoAudioDevice.cpp, misc/SoOutput.cpp,
	nodes/SoListener.cpp, nodes/SoSelection.cpp, vrml97/AudioClip.cpp,
	vrml97/Interpolator.cpp, vrml97/Sound.cpp:
	
	Doc fixes.

2003-05-08 14:01  mortene

	* src/misc/SoInput.cpp:
	
	Improve code readability and error msg output.

2003-05-08 13:11  mortene

	* src/misc/SoOutput.cpp:
	
	Refactoring: get rid of duplicated code, by letting write(SbName)
	call write(SbString).

2003-05-08 13:10  mortene

	* src/misc/SoOutput.cpp:
	
	Bugfix: corrects padding for files.

2003-05-08 12:21  larsa

	* src/engines/SoConvertAll.cpp:
	
	additional field-converters for SoSFVec2s and SoSFVec3s

2003-05-08 11:18  larsa

	* src/engines/SoConvertAll.cpp:
	
	cleanup

2003-05-08 11:15  larsa

	* NEWS, src/engines/SoConvertAll.cpp:
	
	some forgotten field converters

2003-05-07 17:46  larsa

	* NEWS:
	
	cosmetics

2003-05-06 14:42  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Removes faulty assert. Bug reported by Lassi A. Tuura.

2003-05-06 14:12  pederb

	* src/shapenodes/SoPointSet.cpp:
	
	Duh. Fix for silly last patch.

2003-05-06 14:09  pederb

	* src/vrml97/Parent.cpp:
	
	Fix for potential bug.

2003-05-06 14:07  pederb

	* src/shapenodes/SoPointSet.cpp:
	
	Bugfix for SoPointSet autocache handling.

2003-05-06 14:03  pederb

	* NEWS:
	
	update with fixed bugs.

2003-05-06 14:01  pederb

	* src/nodes/SoMatrixTransform.cpp:
	
	Only update ModelMatrixElement if matrix != identity.

2003-05-06 11:40  pederb

	* src/actions/: SoBoxHighlightRenderAction.cpp,
	SoLineHighlightRenderAction.cpp:
	
	Fix bug when rendering selected objects when antialiasing is
	enabled. Bug reported by Josh Flowers.

2003-05-05 12:02  pederb

	* THANKS:
	
	Adds Tore Kristiansen.

2003-05-05 12:00  pederb

	* src/sensors/SoNodeSensor.cpp:
	
	Make it possible to reattach a node sensor without detaching first.
	Fix by Tore Kristiansen.

2003-05-02 14:39  pederb

	* src/vrml97/Script.cpp:
	
	VRMLScript export bugfixes. Bug reported by kintel.

2003-05-02 14:39  pederb

	* src/fields/SoFieldContainer.cpp:
	
	VRML97 write fix.

2003-05-02 11:30  pederb

	* src/vrml97/Script.cpp:
	
	Print error messages when reading fails. Bug reported by kintel.

2003-05-01 15:05  kintel

	* src/lists/SbPList.cpp:
	
	Added missing append() doc

2003-04-30 21:54  mortene

	* src/misc/SoBase.cpp:
	
	Bugfix: regression introduced by last patch, reverted with this
	one. Thanks to Tamer Fahmy for the notification.

2003-04-30 15:20  mortene

	* src/misc/SoOutput.cpp:
	
	Bugfix: when writing to a memory buffer with offset, the padding
	was off if the offset%4 was not 0.

2003-04-30 14:34  mortene

	* src/misc/SoBase.cpp:
	
	Be more robust on file import.

2003-04-30 13:14  kintel

	* src/actions/SoToVRML2Action.cpp:
	
	Better texture/color/normal index handling

2003-04-30 12:40  kintel

	* src/misc/SoOutput.cpp:
	
	Correctly quoting of strings

2003-04-29 13:00  mortene

	* src/shapenodes/SoText2.cpp:
	
	Compilation fix: workaround for a Cygwin problem.

2003-04-28 15:49  mortene

	* Makefile.am, cfg/doxy4win.pl:
	
	Correct path to doxygen conversion tool.

2003-04-28 15:37  larsa

	* configure.ac:
	
	release-version test tweak

2003-04-28 15:26  mortene

	* configure.ac:
	
	Remove obsoleted CVS modules consistency check.

2003-04-28 14:20  kyrah

	* README.MAC:
	
	Mention some performance-improvement tips.

2003-04-28 13:29  mortene

	* Makefile.am, cfg/coin.m4:
	
	Don't distribute any .m4 files, except coin.m4.

2003-04-28 13:09  mortene

	* bootstrap, cfg/depcomp, cfg/errors.txt, cfg/gendsp.sh,
	cfg/wrapmsvc.exe:
	
	Convert bootstrap-setup from conf-macros to simacros.

2003-04-28 11:54  mortene

	* include/Inventor/actions/SoWriteAction.h:
	
	Minor clean-up.

2003-04-28 11:52  mortene

	* src/: fields/SoFieldContainer.cpp, misc/SoInput.cpp,
	nodes/SoMaterial.cpp, nodes/SoMaterialBinding.cpp,
	nodes/SoNode.cpp, shapenodes/SoFaceSet.cpp,
	shapenodes/SoIndexedFaceSet.cpp:
	
	Misc documentation updates.

2003-04-28 11:52  mortene

	* NEWS:
	
	New item.

2003-04-25 20:17  mortene

	* src/3ds/3dsLoader.cpp:
	
	Fixes to geometry and material handling. By John Peciva.

2003-04-25 15:06  kyrah

	* src/glue/gl.c:
	
	Check for current context using CGL.

2003-04-24 15:13  kyrah

	* src/nodes/SoTextureCoordinatePlane.cpp:
	
	API doc improvements

2003-04-24 09:56  pederb

	* src/vrml97/Text.cpp:
	
	Unfinished text handling.

2003-04-24 08:43  mortene

	* src/vrml97/Group.cpp:
	
	Bugfix: search action behavior caused multiple additions of hit
	paths.

2003-04-23 13:53  larsa

	* src/misc/SoInput.cpp:
	
	doc update

2003-04-14 22:57  kintel

	* src/actions/SoToVRML2Action.cpp:
	
	Minimal fontstyle support

2003-04-11 15:39  mortene

	* THANKS, src/fields/SoFieldContainer.cpp:
	
	Bugfix: SoFieldContainer::getFields() was not behaving correctly
	for VRML97 nodes. Problem reported by Jochen Stier.

2003-04-10 13:40  pederb

	* NEWS:
	
	NEWS update.

2003-04-10 13:39  pederb

	* src/nodes/SoResetTransform.cpp:
	
	Fix SoGetBoundingBoxAction bug for SoResetTransform.

2003-04-09 17:30  mortene

	* docs/coin.doxygen.in, src/misc/SoDB.cpp:
	
	Generate documentation for the C++ thread-handling abstraction
	classes.

2003-04-08 17:31  kintel

	* src/threads/thread.c:
	
	doc fix

2003-04-08 15:13  mortene

	* src/vrml97/LOD.cpp:
	
	Minor Doxygen doc fixes.

2003-04-08 10:47  mortene

	* src/lists/SbPList.cpp:
	
	Minor Doxygen doc fixes.

2003-04-07 14:00  mortene

	* src/: engines/SoConvertAll.cpp, misc/SoInput.cpp,
	misc/SoOutput.cpp:
	
	Fixes for locale-portability.

2003-04-07 13:58  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	A portable atof().

2003-04-07 12:08  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Adds internal functions for controlling locale settings.

2003-04-04 15:49  mortene

	* src/misc/SoChildList.cpp:
	
	Catch some of the ways the scene graph can be modified during
	traversal.

2003-04-04 15:48  mortene

	* src/base/SbOctTree.cpp:
	
	Codestyle fix: better expression of intent.

2003-04-04 15:47  mortene

	* src/base/SbBox3f.cpp:
	
	Minor fixes to the attempts at robust handling of invalid input
	arguments.

2003-04-04 15:46  mortene

	* src/misc/SoType.cpp:
	
	Catch a missing initialization call earlier.

2003-04-04 15:46  mortene

	* configure.ac:
	
	Minor simplification, FIXME note.

2003-04-04 15:45  mortene

	* bin/coin-config:
	
	Adds option --prefix.

2003-04-04 15:38  mortene

	* README.WIN32, docs/coin.doxygen.in, src/actions/Makefile.am,
	src/base/SbRotation.cpp, src/draggers/SoCenterballDragger.cpp,
	src/misc/SoContextHandler.cpp, src/misc/SoDB.cpp,
	src/misc/SoGLImage.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoSeparator.cpp, src/shapenodes/SoLineSet.cpp:
	
	Documentation fixes and additions.

2003-04-04 10:11  mortene

	* docs/coin.doxygen.in:
	
	Updated to latest Doxygen version.

2003-04-03 17:05  larsa

	* docs/announcement-2_0_2.txt:
	
	samme fix as for NEWS

2003-04-03 16:59  pederb

	* NEWS:
	
	bugfix.

2003-04-03 15:56  kyrah

	* README.MAC:
	
	Mention X11-based SoQt for use with Coin.

2003-04-03 15:45  larsa

	* NEWS, configure.ac:
	
	Coin v2.0.3a

